Extending Qt Creator Manual | CodeStylePool

Extending Qt Creator Manual 4.5.2

# CodeStylePool Class

(TextEditor::CodeStylePool)

- List of all members, including inherited members

## Public Functions

| CodeStylePool(ICodeStylePreferencesFactory *factory, QObject *parent = 0)
virtual | ~CodeStylePool()
void | addCodeStyle(ICodeStylePreferences *codeStyle)
QList<ICodeStylePreferences *> | builtInCodeStyles() const
ICodeStylePreferences * | cloneCodeStyle(ICodeStylePreferences *originalCodeStyle)
ICodeStylePreferences * | codeStyle(const QByteArray &id) const
QList<ICodeStylePreferences *> | codeStyles() const
ICodeStylePreferences * | createCodeStyle(const QByteArray &id, const TabSettings &tabSettings, const QVariant &codeStyleData, const QString &displayName)
QList<ICodeStylePreferences *> | customCodeStyles() const
void | exportCodeStyle(const Utils::FileName &fileName, ICodeStylePreferences *codeStyle) const
ICodeStylePreferences * | importCodeStyle(const Utils::FileName &fileName)
void | loadCustomCodeStyles()
void | removeCodeStyle(ICodeStylePreferences *codeStyle)

## Signals

void | codeStyleAdded(ICodeStylePreferences *)
void | codeStyleRemoved(ICodeStylePreferences *)

## Member Function Documentation

### CodeStylePool::CodeStylePool(ICodeStylePreferencesFactory *factory, QObject *parent = 0)

Default constructs an instance of CodeStylePool.

### `[virtual]` CodeStylePool::~CodeStylePool()

Destroys the instance of CodeStylePool. The destructor is virtual.

### void CodeStylePool::addCodeStyle(ICodeStylePreferences *codeStyle)

### QList<ICodeStylePreferences *> CodeStylePool::builtInCodeStyles() const

### ICodeStylePreferences *CodeStylePool::cloneCodeStyle(ICodeStylePreferences *originalCodeStyle)

### ICodeStylePreferences *CodeStylePool::codeStyle(const QByteArray &id) const

### `[signal]` void CodeStylePool::codeStyleAdded(ICodeStylePreferences *)

### `[signal]` void CodeStylePool::codeStyleRemoved(ICodeStylePreferences *)

### QList<ICodeStylePreferences *> CodeStylePool::codeStyles() const

### ICodeStylePreferences *CodeStylePool::createCodeStyle(const QByteArray &id, const TabSettings &tabSettings, const QVariant &codeStyleData, const QString &displayName)

### QList<ICodeStylePreferences *> CodeStylePool::customCodeStyles() const

### void CodeStylePool::exportCodeStyle(const Utils::FileName &fileName, ICodeStylePreferences *codeStyle) const

### ICodeStylePreferences *CodeStylePool::importCodeStyle(const Utils::FileName &fileName)

### void CodeStylePool::loadCustomCodeStyles()

### void CodeStylePool::removeCodeStyle(ICodeStylePreferences *codeStyle)